//Initial example taken from:
//http://extremeelectronics.co.in/pic16f877a-tutorials/setup-and-use-of-lcd-library-for-pic/

/******************************************************************************
 The most basic example program to write a line of text in a hd44780 based
 alphanumeric lcd module using our lcd library for pic16 mcus.
 Compiler: Microchip XC8 v1.12 (http://www.microchip.com/xc)
 IDE: Microchip MPLABX
 MCU: PIC16F877A
 Frequency: 20MHz
                                     NOTICE
			
NO PART OF THIS WORK CAN BE COPIED, DISTRIBUTED OR PUBLISHED WITHOUT A
WRITTEN PERMISSION FROM EXTREME ELECTRONICS INDIA. THE LIBRARY, NOR ANY PART
OF IT CAN BE USED IN COMMERCIAL APPLICATIONS. IT IS INTENDED TO BE USED FOR
HOBBY, LEARNING AND EDUCATIONAL PURPOSE ONLY. IF YOU WANT TO USE THEM IN
COMMERCIAL APPLICATION PLEASE WRITE TO THE AUTHOR.

WRITTEN BY:
AVINASH GUPTA
me@avinashgupta.com
****************************************************************************/

#include <xc.h>
#include "lcd_hd44780_pic16.h"

 /* These are the PIC16F877A configuration bits translated to the XC8 Compiler.
    They can be generated automatically in the MPLAB X IDE, but normally,
    you don't have to change them.
    So, copy and paste them as they are to your projects */

//#pragma config FOSC = EXTRC   // Oscillator Selection bits (RC oscillator)
#pragma config FOSC = XT     	// External XTAL Oscillator
//#pragma config WDTE = ON      // Watchdog Timer Enable bit (WDT enabled)
#pragma config WDTE = OFF       // Watchdog Timer not in use (WDT disabled)
//#pragma config PWRTE = OFF    // Power-up Timer Enable bit (PWRT disabled)
#pragma config PWRTE = ON      	// Power-up Timer Enable bit (PWRT enabled)
#pragma config BOREN = ON       // Brown-out Reset Enable bit (BOR enabled)
#pragma config LVP = ON         // Low-Voltage (Single-Supply) In-Circuit Serial
				// Programming Enable bit (RB3/PGM pin has PGM
				// function; low-voltage programming enabled)
#pragma config CPD = OFF        // Data EEPROM Memory Code Protection bit
        			//(Data EEPROM code protection off)
#pragma config WRT = OFF        // Flash Program Memory Write Enable bits (Write
				// protection off; all program memory may be
				// written to by EECON control)
#pragma config CP = OFF         // Flash Program Memory Code Protection bit
                		// (Code protection off)

// Inicialise starts here:

void main (void)
{
  //Initialize the LCD Module
  LCDInit(LS_NONE);

  //Clear the display
  LCDClear();

  //Write a string
  LCDWriteString("Hello World !");

  while(1)
  {
     //Do nothing, just loop indefinitely
  }
  
}